org.mariadb.jdbc.identity.env

## Class EnvIdentityPlugin

- java.lang.Object
- - org.mariadb.jdbc.identity.env.EnvIdentityPlugin

All Implemented Interfaces:
  Supplier<Identity>, IdentityPlugin

    public class EnvIdentityPlugin
    extends Object
    implements IdentityPlugin

Authentication using environment variable.

default implementation use environment variable MARIADB_USER and MARIADB_PWD

example : `jdbc:mariadb://host/db?identityType=ENV`

2 options `userKey` and `pwdKey` permits to indicate which environment variable to use.

### Constructor Summary

Constructors
Constructor and Description
`EnvIdentityPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Identity` `get()`
`IdentityPlugin` `initialize(Options options, String userName, HostAddress hostAddress)`
`String` `name()`
`String` `type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.identity.IdentityPlugin

`defaultAuthenticationPluginType, mustUseSsl`

### Constructor Detail

#### EnvIdentityPlugin

    public EnvIdentityPlugin()

### Method Detail

#### type

    public String type()

Specified by:
  `type` in interface `IdentityPlugin`

#### name

    public String name()

Specified by:
  `name` in interface `IdentityPlugin`

#### initialize

    public IdentityPlugin initialize(Options options,
                                     String userName,
                                     HostAddress hostAddress)

Specified by:
  `initialize` in interface `IdentityPlugin`

#### get

    public Identity get()

Specified by:
  `get` in interface `Supplier<Identity>`